%define upstream_name    Pod-Cpandoc
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perldoc that works for modules you don't have installed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON::PP)
BuildArch:  noarch

%description
'cpandoc' is a perl script that acts like 'perldoc' except that if it would
have bailed out with 'No documentation found for "Uninstalled::Module"', it
will instead scrape a CPAN index for the module's documentation.

One important feature of 'cpandoc' is that it _only_ scrapes the live index
if you do not have the module installed. So if you use 'cpandoc' on a
module you already have installed, then it will just read the
already-installed documentation. This means that the version of the
documentation matches up with the version of the code you have. As a fringe
benefit, 'cpandoc' will be fast for modules you've installed. :)

All this means that you should be able to drop in 'cpandoc' in place of
'perldoc' and have everything keep working. See the /SNEAKY INSTALL manpage
for how to do this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpandoc
/usr/share/man/man1/cpandoc.1.xz

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527222
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439765
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 371904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 342537
- update to 0.13

* Mon Oct 15 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 306219
- update to 0.12
- update to 0.11

* Thu Jun 30 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 116616
- imported package perl-Pod-Cpandoc


* Thu Jun 30 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
